<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <title>PIMCity Demonstration</title>
        <!-- Bootstrap -->
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
        <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
        <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
        <!--[if lt IE 9]>
        <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
        <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
        <![endif]-->
    </head>
    <body>
        <div class="jumbotron text-center" style="background-color:#6EB006">
            <div class="container"  >
                <div class="row align-items-center h-100 p-3">
                    <div class="col-sm-1 align-middle">
                        <a href="https://www.pimcity-h2020.eu/"><img src="https://www.pimcity-h2020.eu/app/uploads/2019/10/cropped-PIMcity_RGB_logo_white_backgound.png" class="rounded" style="background-color:#EEEEEE; Padding:5px" width=100px /> </a>
                    </div>
                    <div class="col-sm-11">
                        <h1>PIMCity Demonstration</h1>
                        <p>BUILDING THE NEXT GENERATION PERSONAL DATA PLATFORMS</p>
                    </div>
                </div>
            </div>
        </div>
        
        <br/><br/>
        <div class="container" style="text-align: left;" >
            <div class="row p-2 rounded" style="background-color:#6EB006">
                <h2>Data Provenance</h2>
            </div>
            <div class="row p-2 rounded" >
                <div class="col-sm-3">
                    <img src="https://gitlab.com/pimcity/pdk-description/-/raw/main/images/dp.png" class="card-img-top" alt="DP">

                </div>
                <div class="col-sm-9">
                    The <strong>Data Provenance (DP)</strong> is a data management tool to watermark sensitive data as user web browsing history while accounting for user data ownership. It implements algorithms from the database watermarking literature (e.g., VLDB) and aims to bring new research into the area in order to use it in real world data management use cases as ours. We focus in web browsing data, namely URLs, which are a valuable piece of information about user's preferences and behavior, yet not monetizable by data owners in a decentralized manner in the real world yet (only centralized companies as Comscore exist for that). Therefore, out tool opens a new possibility to users to sell watermarked data with the support of the Trading Engine component (out of scope in this demo and intro) so that users just need to rely on <em>REST-based APIs</em> or a web interface to control their data ownership. Thanks to the REST API endpoints, the DP tool can be accessed also by other components of the PDK. Internally, it uses the <em>SpringBoot</em> framework and will store user data on a secure <em>PostgreSQL</em> database as well as decentralized storage thanks to the support of IPFS (InterPlanetary File System) as middleware. Note, in the future watermarked datasets will be encrypted with the appropiate public and or private keys, but that is out of the scope for now. The Web interface is provided by the <em>Swagger OpenAPI</em> tools in our deployment as a single page application. 
                </div>
                
            </div>
            <div class="row p-2 rounded" > 

                <div class="col-sm-4">
                    <h5> Access the DP UI</h5>
                    <br/>
                    <a href="https://easypims.pimcity-h2020.eu/provenance/swagger-ui/index.html?url=/provenance/docs" 
                        class="btn btn-primary">Go to the online Demonstrator</a>
                </div>

                <div class="col-sm-2">
                    <h5> Source Code</h5>
                    The project is open-source and its code is on the online repository:
                    <br/>
                    <a href="https://gitlab.com/pimcity/wp4/data-provenance" 
                        class="btn btn-primary">GitLab</a>
                </div>

                <div class="col-sm-6">
                    <h5> Licence </h5>
                    The Data Provenance (DP) code is distributed under GPL-3.0, see the LICENSE file in the project repository.
                    <br/>
                    Copyright (C) 2021  IMDEA NETWORKS - Alvaro Garcia Recuero, Devris Isler, Nikolaos Laoutaris.
                    <br/>
                </div>
        </div>
        
        <br/><br/>
        <footer class="footer" style="background-color:#6EB006">
            <div class="container">
                <div id="footer-bottom" class="clr no-footer-nav">
                    <div id="footer-bottom-inner" class="container clr">
                        <div id="copyright" class="clr" role="contentinfo">
                            This project has received funding from the European Union Horizon 2020 Research and Innovation programme under <a href="https://cordis.europa.eu/project/rcn/225755/factsheet/en">Grant Agreement No. 871370
                        </div>
                        <!-- #copyright -->
                    </div>
                    <!-- #footer-bottom-inner -->
                </div>
            </div>
        </footer>
        <!-- jQuery (necessary for Bootstrap's JavaScript plugins) -->
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
        <!-- Include all compiled plugins (below), or include individual files as needed -->
        <script src="//maxcdn.bootstrapcdn.com/bootstrap/3.3.1/js/bootstrap.min.js"></script>
    </body>
</html>
